Next Previous Contents

## 3.158 strspn

> Function

>   Compute the length of a substring.

> Header

>   `string.h`

> Declaration

>   `size_t __fastcall__ strspn (const char* s, const char* set);`

> Description

>   The `strspn` function computes and returns the length of the substring pointed to by `s` which does consist only of characters contained in the string `set`.

> Limits

>   - The function is only available as fastcall function, so it may only be used in presence of a prototype.
> Availability

>   ISO 9899

> See also

>   strcspn, strstr

> Example

>   None.

Next Previous Contents